> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve current User's Access

> Retrieve current `User`'s `Access`



## OpenAPI

````yaml /api-reference/openapi.json get /v1/users/me/access
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/users/me/access:
    parameters:
      - $ref: '#/components/parameters/Accept-Language'
    get:
      tags:
        - Users
      summary: Retrieve current User's Access
      description: Retrieve current `User`'s `Access`
      operationId: get-v1-users-me-access
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    x-stoplight:
                      id: 83mx63p61cb6q
                    items:
                      $ref: '#/components/schemas/Access-Read'
                required:
                  - data
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '406':
          $ref: '#/components/responses/Error'
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
  schemas:
    Access-Read:
      title: Access-Read
      x-stoplight:
        id: 3c7it51r82hzg
      type: object
      x-internal: true
      required:
        - name
      properties:
        name:
          $ref: '#/components/schemas/AccessName'
      additionalProperties: false
    AccessName:
      title: AccessName
      x-stoplight:
        id: xfxqkifvw0lml
      enum:
        - manage_users
        - manage_accounts
        - manage_equipment
        - manage_materials
        - manage_sites
        - execute_jobs
        - manage_departments
        - manage_rates
        - manage_companies
        - manage_service_classes
        - mobile_tab_schedule
        - mobile_tab_driver
        - mobile_tab_submit
        - mobile_tab_approvals
        - mobile_tab_dispatch
        - mobile_tab_dispatch_pending
        - mobile_tab_assigned
        - mobile_tab_assigned_driver
        - mobile_tab_assigned_foreman
        - mobile_tab_review
        - mobile_tab_review_driver
        - mobile_tab_review_foreman
        - mobile_tab_live_map
        - mobile_tab_history
        - manage_telematics
        - manage_project_attachments
        - manage_order_attachments
        - manage_job_attachments
        - manage_load_attachments
        - mobile_tab_shift
        - manage_driver_day_attachments
        - manage_settlement_attachments
        - manage_labels
        - sales_tab
        - dispatch_tab
        - approvals_tab
        - live_map_tab
        - reports_tab
        - settings_tab
        - assigned_tab
        - assigned_tab_driver
        - assigned_tab_foreman
        - assigned_tab_salesperson
        - manage_compliance
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
  responses:
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````